summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexander Sulfrian <alexander.sulfrian@fu-berlin.de>2012-10-22 14:43:25 +0200
committerAlexander Sulfrian <alexander.sulfrian@fu-berlin.de>2012-10-22 14:43:25 +0200
commit27936e74a1e08396362e770c847b1fdde49f5929 (patch)
treefcf01090975d742f760228482b27454f74c0e655
parent90292c942bc2e8c9626626ac53c03a1a3819a4cd (diff)
downloaddotfiles-27936e74a1e08396362e770c847b1fdde49f5929.tar.gz
dotfiles-27936e74a1e08396362e770c847b1fdde49f5929.tar.xz
dotfiles-27936e74a1e08396362e770c847b1fdde49f5929.zip
bash/bin/copy: fix escaping
-rwxr-xr-xbashrc/bin/copy2
1 files changed, 1 insertions, 1 deletions
diff --git a/bashrc/bin/copy b/bashrc/bin/copy
index 80ab385..68d10ca 100755
--- a/bashrc/bin/copy
+++ b/bashrc/bin/copy
@@ -8,7 +8,7 @@ if [[ -z "$1" ]] ; then
fi
# encode files suitable for copy&paste into other terminals
-STR=$(tar cjf - $@ | base64; exit $PIPESTATUS) || exit $?
+STR=$(tar cjf - "$@" | base64; exit $PIPESTATUS) || exit $?
echo "cat << E=O=F | base64 -d | tar xj"
echo "$STR"
echo "E=O=F"